Bug 208255 - Stop using sbrk(2) in devel/binutils
Summary: Stop using sbrk(2) in devel/binutils
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Andrew Turner
URL:
Keywords:
Depends on:
Blocks: 207867
  Show dependency treegraph
 
Reported: 2016-03-24 09:27 UTC by Andrew Turner
Modified: 2016-03-29 14:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bapt)
Andrew: exp-run?


Attachments
Patch to stop using sbrk in devel/binutils (362 bytes, patch)
2016-03-24 09:27 UTC, Andrew Turner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2016-03-24 09:27:35 UTC
Created attachment 168557 [details]
Patch to stop using sbrk in devel/binutils

We are planning on removing sbrk from arm64. Before we can do this we need to stop calling it from binutils so ld doesn't break.

The attached patch forces configure to assume it doesn't exist.
Comment 1 Antoine Brodin freebsd_committer 2016-03-25 15:33:28 UTC
Hi,

What kind of failure do you expect?
Comment 2 Andrew Turner freebsd_committer 2016-03-25 16:47:18 UTC
I don't expect any failures, but Baptiste asked for an exp run when I talked to him about it at AsiaBSDCon.
Comment 3 Antoine Brodin freebsd_committer 2016-03-26 19:54:17 UTC
Exp-run didn't show any new failure (i386 and amd64).
Comment 4 commit-hook freebsd_committer 2016-03-29 14:10:42 UTC
A commit references this bug:

Author: andrew
Date: Tue Mar 29 14:09:48 UTC 2016
New revision: 412112
URL: https://svnweb.freebsd.org/changeset/ports/412112

Log:
  Stop calling sbrk from binutils. This will help remive the need for this
  function on arm64.

  PR:		208255
  Approved by:	bapt
  Sponsored by:	ABT Systems Ltd

Changes:
  head/devel/binutils/Makefile